org.eclipse.microprofile.fault.tolerance.tck.config.clientserver

## Class ConfigClassLevelClient

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.config.clientserver.ConfigClassLevelClient

    @RequestScoped
     @Retry(maxRetries=5)
    public class ConfigClassLevelClient
    extends Object

A client to support Fault Tolerance Configuration tests.

Author:
  Neil Young

### Constructor Summary

Constructors
Constructor and Description
`ConfigClassLevelClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCounterForInvokingConnectionService()`
`Connection` `serviceA()`
`Connection` `serviceB()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigClassLevelClient

    public ConfigClassLevelClient()

### Method Detail

#### serviceA

    public Connection serviceA()

#### serviceB

    @Retry(maxRetries=1)
    public Connection serviceB()

#### getCounterForInvokingConnectionService

    public int getCounterForInvokingConnectionService()